<?php
$default_options = array(
	// Main Settings
	'sliderHeightRetio' => '0.6',
	'sliderFillMode' => '1',
	'sliderBackgroundColor' => '#ffffff',
	// Slideshow
	'sliderSlideshowEneble' => '1',
	'slideshowDelay' => '8',
	'slideshowProgressBarColor' => '#ffffff',
	// Info Bar
	'sliderShowItemInformation' => '1',
	'sliderCounterColor' => '#ffffff',
	'sliderTitleColor' => '#ffffff',
	'sliderDescriptionTextColor' => '#ffffff',
	'sliderDescriptionBgColor' => '#000000',
	'sliderDescriptionBgOpacity' => '70',
	'sliderDescriptionReadMoreButtonLabel' => 'Learn more',
	'sliderDescriptionReadMoreButtonLabelColor' => '#000000',
	'sliderDescriptionReadMoreButtonBGColor' => '#ffffff',
	// Next/Prev Navigation
	'arrowsNaviEnable' => '1',
	'arrowsNaviLabelColor' => '#000000',
	'arrowsNaviBgColor' => '#ffffff',
	// Thumbnails Navi
	'thumbsNaviEnable' => '1',
	'thumbsNaviButtonsColor' => '#ffffff',
	// Custom CSS
	'customCSS' => ''
);
$options_tree = array(
	array('label' => 'Common Settings',
		'fields' => array(
			'sliderHeightRetio' => array('label' => 'Slider height ratio',
				'tag' => 'input',
				'attr' => 'type="number" min="0.1" max="2" step="0.1"',
				'text' => 'Height / Width = Ratio'
			),
			'sliderFillMode'           => array(
				'label'   => 'Image Scale Mode',
				'tag'     => 'select',
				'attr'    => '',
				'text'    => 'Default value: Fill. Note \'Fit\'',
				'choices' => array(
					array(
						'label' => 'Fill',
						'value' => '1'
					),
					array(
						'label' => 'Fit',
						'value' => '0'
					)
				)
			),
			'sliderBackgroundColor' => array('label' => 'Slider background color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'sliderSlideshowEneble'   => array(
				'label' => 'Autoplay On Load',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => 'Start slideshow automatically on gallery load'
			),
			'slideshowDelay'      => array(
				'label' => 'Slideshow Delay',
				'tag'   => 'input',
				'attr'  => 'type="number" min="1" data-sliderSlideshowEneble="is:1"',
				'text'  => 'Delay between change slides in seconds'
			),
			'slideshowProgressBarColor' => array('label' => 'Slideshow progress bar color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-sliderSlideshowEneble="is:1"',
				'text' => ''
			)
		)
	),
	array('label' => 'Slide Information Bar Settings',
		'fields' => array(
			'sliderShowItemInformation'   => array(
				'label' => 'Show slide information',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => ''
			),
			'sliderCounterColor' => array('label' => 'Сounter color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-sliderShowItemInformation="is:1"',
				'text' => ''
			),
			'sliderTitleColor' => array('label' => 'Title color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-sliderShowItemInformation="is:1"',
				'text' => ''
			),
			'sliderDescriptionTextColor' => array('label' => 'Description color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-sliderShowItemInformation="is:1"',
				'text' => ''
			),
			'sliderDescriptionBgColor' => array('label' => 'Description background color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-sliderShowItemInformation="is:1"',
				'text' => ''
			),
			'sliderDescriptionBgOpacity' => array('label' => 'Description background opacity',
				'tag' => 'input',
				'attr' => 'type="number" min="0" max="100" step="5" data-sliderShowItemInformation="is:1"',
				'text' => ''
			),
			'sliderDescriptionReadMoreButtonLabel'     => array(
				'label' => 'Read More Button Name',
				'tag'   => 'input',
				'attr'  => 'type="text" data-sliderShowItemInformation="is:1"',
				'text'  => ''
			),
			'sliderDescriptionReadMoreButtonLabelColor' => array('label' => 'Read More button text color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-sliderShowItemInformation="is:1"',
				'text' => ''
			),
			'sliderDescriptionReadMoreButtonBGColor' => array('label' => 'Read More button background color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-sliderShowItemInformation="is:1"',
				'text' => ''
			)
		)
	),
	array('label' => 'Prev/Next Navigation Bar Settings',
		'fields' => array(
			'arrowsNaviEnable'   => array(
				'label' => 'Show Prev/Next Navigation',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => ''
			),
			'arrowsNaviLabelColor' => array('label' => 'Buttons icon color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-arrowsNaviEnable="is:1"',
				'text' => ''
			),
			'arrowsNaviBgColor' => array('label' => 'Buttons background color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-arrowsNaviEnable="is:1"',
				'text' => ''
			),
		)
	),
	array('label' => 'Thumbnails Navigation Bar Settings',
		'fields' => array(
			'thumbsNaviEnable'   => array(
				'label' => 'Show Thumbnails Navigation',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => ''
			),
			'thumbsNaviButtonsColor' => array('label' => 'Thumbnails Navigation Buttons color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-thumbsNaviEnable="is:1"',
				'text' => ''
			)
		)
	),
	array('label' => 'Advanced Settings',
		'fields' => array('customCSS' => array('label' => 'Custom CSS',
			'tag' => 'textarea',
			'attr' => 'cols="20" rows="10"',
			'text' => 'You can enter custom style rules into this box if you\'d like. IE: <i>a{color: red !important;}</i>
                                                                      <br />This is an advanced option! This is not recommended for users not fluent in CSS... but if you do know CSS, 
                                                                      anything you add here will override the default styles'
			)
		)
	)
);
